/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-04-22 16:30:03 UTC)
 * on 2013-04-22 at 17:26:26 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.licensing.model;

/**
 * Template for LiscenseAssignment Resource
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise License Manager API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LicenseAssignment extends com.google.api.client.json.GenericJson {

  /**
   * ETag of the resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String etags;

  /**
   * Identifies the resource as a LicenseAssignment.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Name of the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String productId;

  /**
   * Link to this page.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String selfLink;

  /**
   * Name of the sku of the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String skuId;

  /**
   * Email id of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String userId;

  /**
   * ETag of the resource.
   * @return value or {@code null} for none
   */
  public java.lang.String getEtags() {
    return etags;
  }

  /**
   * ETag of the resource.
   * @param etags etags or {@code null} for none
   */
  public LicenseAssignment setEtags(java.lang.String etags) {
    this.etags = etags;
    return this;
  }

  /**
   * Identifies the resource as a LicenseAssignment.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a LicenseAssignment.
   * @param kind kind or {@code null} for none
   */
  public LicenseAssignment setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Name of the product.
   * @return value or {@code null} for none
   */
  public java.lang.String getProductId() {
    return productId;
  }

  /**
   * Name of the product.
   * @param productId productId or {@code null} for none
   */
  public LicenseAssignment setProductId(java.lang.String productId) {
    this.productId = productId;
    return this;
  }

  /**
   * Link to this page.
   * @return value or {@code null} for none
   */
  public java.lang.String getSelfLink() {
    return selfLink;
  }

  /**
   * Link to this page.
   * @param selfLink selfLink or {@code null} for none
   */
  public LicenseAssignment setSelfLink(java.lang.String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

  /**
   * Name of the sku of the product.
   * @return value or {@code null} for none
   */
  public java.lang.String getSkuId() {
    return skuId;
  }

  /**
   * Name of the sku of the product.
   * @param skuId skuId or {@code null} for none
   */
  public LicenseAssignment setSkuId(java.lang.String skuId) {
    this.skuId = skuId;
    return this;
  }

  /**
   * Email id of the user.
   * @return value or {@code null} for none
   */
  public java.lang.String getUserId() {
    return userId;
  }

  /**
   * Email id of the user.
   * @param userId userId or {@code null} for none
   */
  public LicenseAssignment setUserId(java.lang.String userId) {
    this.userId = userId;
    return this;
  }

  @Override
  public LicenseAssignment set(String fieldName, Object value) {
    return (LicenseAssignment) super.set(fieldName, value);
  }

  @Override
  public LicenseAssignment clone() {
    return (LicenseAssignment) super.clone();
  }

}
